=== debian/changelog ===
stratagus (2.4.1-0) unstable; urgency=low

  * Add support for icon frames in engine
  * Add support for selecting and giving orders to multiple buildings
  * Add checksumming for loaded lua files, to avoid incompatible multiplayer clients
  * Update shader support to use pre-compiled shaders from libretro

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 2 Dec 2015 12:41:01 +0100

stratagus (2.4.0-1) unstable; urgency=low

  * Introduced OpenGL shaders for pixel scaling
  * Added support for semi-transparent building shadows
  * Many cleanups ported from Wyrmgus
  * Added support individual unit upgrades
  * Fixed multiplayer out-of-sync issue
  * Fixed multiplayer race selection
  * Fixed unit sight not being symmetrical
  * Fixed build restriction on top not being symmetrical
  * Added support for map-specific unit stats and changing them through the map editor
  * Added support for autosaves

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 2 Dec 2015 12:41:01 +0100

stratagus (2.3.0-1) unstable; urgency=low

  * Introduced crash dump writing for win32 (from cybermind)
  * Added ImageListBox, ImageTextField, ImageDropDownWidget (from cybermind)
  * Added AIScript for GameSettings to specify the AI script to use
    (from cybermind)
  * Added Preferences.DeselectInMine (from cybermind)
  * SetNewViewportMode function to choose viewport from Lua (from cybermind)
  * Fix fancy buildings (from cybermind)
  * Added AiSetBuildDepots function (from cybermind)
  * Added function for key scroll speed (from cybermind)
  * Improved network stability (from cybermind)
  * Added CPreference::MineNotifications, to show notifications when
    player-controlled mine is running low
  * Fix bug #901772: Support for player color changing (from cybermind)
  * When right-clicking on mine, selected miners will go to depot
    if they are full of resources (from cybermind)
  * Added support for StackTrace library to log call stack into stderr
    in case of crash (from cybermind)
  * GetUnitsAroundUnit now supports 3 parameter for getting
    all units in range (from cybermind)
  * Add ability to get unit reference and CUnitType::TileWidth
    and CUnitType::TileHeight in Lua (from cybermind)
  * Fix bug #817057: Added ability to keep selected harvester
    when it enters mine (from cybermind)
  * Improved auto-cast animation (from cybermind)
  * Correct explosion for critters (from cybermind)
  * Research all upgrades which were already researched on the map beginning
    (from cybermind)
  * Added CPreference.StereoSound, to control stereo effects (from cybermind)
  * Fixed bug with alpha in DrawFrameClipTransX (from Andrettin)
  * Added option for parallel build on MSVC (from cybermind)
  * Fix bug #1331628: Applied Andrettin's patch for SetPlayerData,
    https://bugs.launchpad.net/stratagus/+bug/1331628 (from Andrettin)
  * Fix bug #1331788: Implemented Andrettin's patch for GetPlayerData:
    https://bugs.launchpad.net/stratagus/+bug/1331788 (from Andrettin)
  * Fix bug #1330053: Fixed bug with incorrect race name display.
    (from cybermind)
  * Fix bug #1328658: Fixed bug with IsNotSelectable flag showing
    info about units (from cybermind)
  * Fixed bug with IsNotSelectable flag showing info about units
    (from cybermind)
  * Added special "~|" formatting symbol to specify the position symbol
    (useful for making translations with different string length)
    (from cybermind)
  * Generic AI collision detection for blocked units (from cybermind)
  * SetDefaultTextColors is available from Lua (from cybermind)
  * Increased sound channel count to reduce sound lags (from cybermind)
  * Added Fluidsynth support for MIDI playback (from cybermind)
  * Fixed colored text (from cybermind)
  * Fix bug #1357737: Fix typo for tileset.
    thanks to Andre Novellino Gouvêa (from Andrettin)
  * Fix bug #1328664: Applied Andrettin's patch to map scripting:
    https://bugs.launchpad.net/stratagus/+bug/1328664 (from Andrettin)
  * Fix bug #1328326: Applied Andrettin's patch to editor:
    https://bugs.launchpad.net/stratagus/+bug/1328326 (from Andrettin)
  * Fix bug #1328040: Fixed bug with rescued units icon drawing
    (from cybermind)
  * Fix bug #1327929: Apply Dinky's icons patch (from Dinky Dye Aussie)
  * Fix bug #1327505: Fixed another issue with player colors (from cybermind)
  * Fix bug #1282580: Fixed workers resource give up,
    now they are trying to find another resource (from cybermind)
  * Fix bug #1323483: Fixed compilation on OS Mavericks (from cybermind)
  * Fix bug #706188: map clipping on 32x32 maps (from cybermind)
  * Fix bug #1325736: Added disabled graphics for ImageCheckBox,
    ImageRadioButton, ImageSlider (from cybermind)
  * Fix bug #1040967: Fixed bug with construction outline (from cybermind)
  * Fix bug #1293138: Fixed incorrect update for Kill and XP variables
    when upgrading-to (from cybermind)
  * Fix bug #822139: Now editor correctly uses randomized mixed tile types
    (from cybermind)
  * Added "corpse" check for autocast spells (from cybermind)
  * Added "position-autocast" field for "autocast" spell section,
    allowing to set up autocast for position spells (from cybermind)
  * Fix bugs #1293004, 1094527: Added CPreference::IconsShift,
    to shift icons slightly when you press on them (from cybermind)
  * Fix bug #1234987: Fixed crash when using tabs in text (from cybermind)
  * Fix bug #1041837: Fixed crash when blowing up dwarves/sappers
    (from cybermind)
  * Added AiReleaseForce(force) Lua function, to release "force" 's units
    to be able to use them in another force (from cybermind)
  * Added support for new NumberDesc field, PlayerData,
    to get player's data (from cybermind)
  * Added CPreference::GrayscaleIcons, to enable and disable support
    for grayscale icons (from cybermind)
  * Fix bug #1121130: Correct Death Coil spell casting (from cybermind)
  * Fix bug #1163591: Lua access to UI.Infopanel.G, required for correct

