=== debian/rules ===
#!/usr/bin/make -f
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    debian/rules
#    Copyright (C) 2010-2011  Pali Rohár <pali.rohar@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_DOC=ON -DENABLE_DEV=ON
	dh_auto_configure --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg -- -DCMAKE_BUILD_TYPE=Debug

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg

override_dh_install:
	dh_install
	dh_auto_install --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg --destdir=debian/stratagus-dbg
	rm -f debian/stratagus-dbg/usr/bin/png2stratagus debian/stratagus-dbg/usr/sbin/metaserver
	convert src/win32/stratagus.ico debian/stratagus/usr/share/pixmaps/stratagus.png

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info     

override_dh_strip:
	dh_strip --dbg-package=stratagus-dbg
